<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXTextLoadingBlankView类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_text_loading_blank_view.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="interface_x_h_x_text_loading_blank_view-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXTextLoadingBlankView类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_blank_view_8h_source.html">XHXBlankView.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXTextLoadingBlankView 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_text_loading_blank_view.png" usemap="#XHXTextLoadingBlankView_map" alt=""/>
  <map id="XHXTextLoadingBlankView_map" name="XHXTextLoadingBlankView_map">
<area href="interface_x_h_x_text_blank_view.html" alt="XHXTextBlankView" shape="rect" coords="0,168,166,192"/>
<area href="interface_x_h_x_image_blank_view.html" alt="XHXImageBlankView" shape="rect" coords="0,112,166,136"/>
<area href="interface_x_h_x_blank_view.html" alt="XHXBlankView" shape="rect" coords="0,56,166,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
额外继承的成员函数</h2></td></tr>
<tr class="inherit_header pub_methods_interface_x_h_x_text_blank_view"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_interface_x_h_x_text_blank_view')"><img src="closed.png" alt="-"/>&#160;构造函数 继承自 <a class="el" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a></td></tr>
<tr class="memitem:a74bd95cf015d95c27348cedf5588f2b3 inherit pub_methods_interface_x_h_x_text_blank_view"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_text_blank_view.html#a74bd95cf015d95c27348cedf5588f2b3">setRefreshTitle:target:action:</a></td></tr>
<tr class="memdesc:a74bd95cf015d95c27348cedf5588f2b3 inherit pub_methods_interface_x_h_x_text_blank_view"><td class="mdescLeft">&#160;</td><td class="mdescRight">刷新按钮，默认隐藏  <a href="interface_x_h_x_text_blank_view.html#a74bd95cf015d95c27348cedf5588f2b3">更多...</a><br /></td></tr>
<tr class="separator:a74bd95cf015d95c27348cedf5588f2b3 inherit pub_methods_interface_x_h_x_text_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dc7e6cfcccfb31cb4f957efca2b9cb5 inherit pub_methods_interface_x_h_x_text_blank_view"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_text_blank_view.html#a0dc7e6cfcccfb31cb4f957efca2b9cb5">setRefreshTitle:actionBlock:</a></td></tr>
<tr class="separator:a0dc7e6cfcccfb31cb4f957efca2b9cb5 inherit pub_methods_interface_x_h_x_text_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_interface_x_h_x_blank_view"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_interface_x_h_x_blank_view')"><img src="closed.png" alt="-"/>&#160;构造函数 继承自 <a class="el" href="interface_x_h_x_blank_view.html">XHXBlankView</a></td></tr>
<tr class="memitem:ae7d5dcd4b697e9ca3d9610255efb64e1 inherit pub_methods_interface_x_h_x_blank_view"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">showInView:animated:</a></td></tr>
<tr class="separator:ae7d5dcd4b697e9ca3d9610255efb64e1 inherit pub_methods_interface_x_h_x_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab10606e0ea7e914ab95adc3bc64cf173 inherit pub_methods_interface_x_h_x_blank_view"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_blank_view.html#ab10606e0ea7e914ab95adc3bc64cf173">hideWithAnimated:</a></td></tr>
<tr class="separator:ab10606e0ea7e914ab95adc3bc64cf173 inherit pub_methods_interface_x_h_x_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb4aeea762e27b04d41132d401d69685 inherit pub_methods_interface_x_h_x_blank_view"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">setupSubViews</a></td></tr>
<tr class="separator:afb4aeea762e27b04d41132d401d69685 inherit pub_methods_interface_x_h_x_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_interface_x_h_x_blank_view"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_interface_x_h_x_blank_view')"><img src="closed.png" alt="-"/>&#160;类方法 继承自 <a class="el" href="interface_x_h_x_blank_view.html">XHXBlankView</a></td></tr>
<tr class="memitem:a297fdebfa0b1d7221b9f6e7418c82e56 inherit pub_static_methods_interface_x_h_x_blank_view"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_blank_view.html#a297fdebfa0b1d7221b9f6e7418c82e56">blankView</a></td></tr>
<tr class="separator:a297fdebfa0b1d7221b9f6e7418c82e56 inherit pub_static_methods_interface_x_h_x_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd679aaa10becc10d4f69d50cad041c0 inherit pub_static_methods_interface_x_h_x_blank_view"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_x_h_x_blank_view.html">XHXBlankView</a> *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_blank_view.html#abd679aaa10becc10d4f69d50cad041c0">blankViewInView:</a></td></tr>
<tr class="separator:abd679aaa10becc10d4f69d50cad041c0 inherit pub_static_methods_interface_x_h_x_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7d5dcd4b697e9ca3d9610255efb64e1 inherit pub_static_methods_interface_x_h_x_blank_view"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">showInView:animated:</a></td></tr>
<tr class="separator:ae7d5dcd4b697e9ca3d9610255efb64e1 inherit pub_static_methods_interface_x_h_x_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e5bbb46a1690ef25349b29bea69e148 inherit pub_static_methods_interface_x_h_x_blank_view"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_blank_view.html#a7e5bbb46a1690ef25349b29bea69e148">hideInView:animated:</a></td></tr>
<tr class="separator:a7e5bbb46a1690ef25349b29bea69e148 inherit pub_static_methods_interface_x_h_x_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_interface_x_h_x_text_blank_view"><td colspan="2" onclick="javascript:toggleInherit('properties_interface_x_h_x_text_blank_view')"><img src="closed.png" alt="-"/>&#160;属性 继承自 <a class="el" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a></td></tr>
<tr class="memitem:ae2ab3c07287c4b8f0043b07d817ea5b5 inherit properties_interface_x_h_x_text_blank_view"><td class="memItemLeft" align="right" valign="top">UILabel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_text_blank_view.html#ae2ab3c07287c4b8f0043b07d817ea5b5">textLabel</a></td></tr>
<tr class="separator:ae2ab3c07287c4b8f0043b07d817ea5b5 inherit properties_interface_x_h_x_text_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1df327fc418a74ad5ce096e18482be5 inherit properties_interface_x_h_x_text_blank_view"><td class="memItemLeft" align="right" valign="top">UILabel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_text_blank_view.html#aa1df327fc418a74ad5ce096e18482be5">subTextLabel</a></td></tr>
<tr class="memdesc:aa1df327fc418a74ad5ce096e18482be5 inherit properties_interface_x_h_x_text_blank_view"><td class="mdescLeft">&#160;</td><td class="mdescRight">主标题  <a href="interface_x_h_x_text_blank_view.html#aa1df327fc418a74ad5ce096e18482be5">更多...</a><br /></td></tr>
<tr class="separator:aa1df327fc418a74ad5ce096e18482be5 inherit properties_interface_x_h_x_text_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef9f66e71c028928a1023785c97e433c inherit properties_interface_x_h_x_text_blank_view"><td class="memItemLeft" align="right" valign="top">UIButton *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_text_blank_view.html#aef9f66e71c028928a1023785c97e433c">refreshButton</a></td></tr>
<tr class="memdesc:aef9f66e71c028928a1023785c97e433c inherit properties_interface_x_h_x_text_blank_view"><td class="mdescLeft">&#160;</td><td class="mdescRight">副标题  <a href="interface_x_h_x_text_blank_view.html#aef9f66e71c028928a1023785c97e433c">更多...</a><br /></td></tr>
<tr class="separator:aef9f66e71c028928a1023785c97e433c inherit properties_interface_x_h_x_text_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_interface_x_h_x_image_blank_view"><td colspan="2" onclick="javascript:toggleInherit('properties_interface_x_h_x_image_blank_view')"><img src="closed.png" alt="-"/>&#160;属性 继承自 <a class="el" href="interface_x_h_x_image_blank_view.html">XHXImageBlankView</a></td></tr>
<tr class="memitem:a5a6138289eb5f89dbaf1307c5ed31f4d inherit properties_interface_x_h_x_image_blank_view"><td class="memItemLeft" align="right" valign="top">UIImageView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_image_blank_view.html#a5a6138289eb5f89dbaf1307c5ed31f4d">imageView</a></td></tr>
<tr class="separator:a5a6138289eb5f89dbaf1307c5ed31f4d inherit properties_interface_x_h_x_image_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7808b23f58c2b953ef62487165098c5 inherit properties_interface_x_h_x_image_blank_view"><td class="memItemLeft" align="right" valign="top">LOTAnimationView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_image_blank_view.html#ab7808b23f58c2b953ef62487165098c5">animationView</a></td></tr>
<tr class="separator:ab7808b23f58c2b953ef62487165098c5 inherit properties_interface_x_h_x_image_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_interface_x_h_x_blank_view"><td colspan="2" onclick="javascript:toggleInherit('properties_interface_x_h_x_blank_view')"><img src="closed.png" alt="-"/>&#160;属性 继承自 <a class="el" href="interface_x_h_x_blank_view.html">XHXBlankView</a></td></tr>
<tr class="memitem:ad58894774a7544c65288b4ec5ef0c101 inherit properties_interface_x_h_x_blank_view"><td class="memItemLeft" align="right" valign="top">UIView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">contentView</a></td></tr>
<tr class="separator:ad58894774a7544c65288b4ec5ef0c101 inherit properties_interface_x_h_x_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d1cef7918ce06e79bc3e5c416a8dbf3 inherit properties_interface_x_h_x_blank_view"><td class="memItemLeft" align="right" valign="top">CGFloat topOffset&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_blank_view.html#a5d1cef7918ce06e79bc3e5c416a8dbf3">UI_APPEARANCE_SELECTOR</a></td></tr>
<tr class="separator:a5d1cef7918ce06e79bc3e5c416a8dbf3 inherit properties_interface_x_h_x_blank_view"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_x_h_x_blank_view_8h_source.html">XHXBlankView.h</a> 第 <a class="el" href="_x_h_x_blank_view_8h_source.html#l00089">89</a> 行定义.</p>
</div><hr/>该类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/General/XHXExtention/<a class="el" href="_x_h_x_blank_view_8h_source.html">XHXBlankView.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_text_loading_blank_view.html">XHXTextLoadingBlankView</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
